Name:           asc
Version:        2.6.1.0
Release:        %mkrel 20
Summary:        Advanced Strategic Command - Turn-based strategy game
Group:          Games/Strategy
License:        GPLv2+
URL:            http://www.asc-hq.org
Source0:        https://downloads.sf.net/asc-hq/%{name}-%{version}.tar.bz2
Patch0:         asc-2.6.1.0-git-gcc10.patch

BuildRequires:  boost-devel
BuildRequires:  bzip2-devel
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  SDL_sound-devel
BuildRequires:  wxgtk-devel
BuildRequires:  zip
Requires:       %{name}-data >= %{version}
Recommends:     %{name}-music

%description
Advanced Strategic Command is a free, turn-based strategy game.
It is designed in the tradition of the Battle Isle series.
The game can be played against human or computer.

%files
%{_gamesbindir}/%{name}*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_mandir}/man6/%{name}*.6*

#----------------------------------------------------------------------

%package data
Summary:        Data files for Advanced Strategic Command
BuildArch:      noarch

%description data
This package contains arch-independent data files for the Advanced
Strategic Command game, except from the music pack provided by the
%{name}-music package.

%files data
%{_gamesdatadir}/%{name}/

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
export CXXFLAGS="%{optflags} -D__EXPORT__="
%configure --bindir=%{_gamesbindir} \
               --enable-genparse
%make_build

%install
%make_install

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Advanced Strategic Command
Comment=Turn-based strategy game inspired from the Battle Isle series
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;StrategyGame;
EOF

install -d %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -m644 data/icons/program-icon.png \
    %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Fri Jan 01 2021 wally <wally> 2.6.1.0-20.mga8
+ Revision: 1667688
- rebuild for wxgtk pre 3.1.5 snapshot

* Thu Dec 31 2020 wally <wally> 2.6.1.0-19.mga8
+ Revision: 1666735
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 2.6.1.0-18.mga8
+ Revision: 1661977
- rebuild for boost 1.74.0

* Sun Aug 16 2020 wally <wally> 2.6.1.0-17.mga8
+ Revision: 1614326
- rebuild for new wxgtk 3.1.4

* Mon May 25 2020 danf <danf> 2.6.1.0-16.mga8
+ Revision: 1587475
- Fix narrowing conversion error with gcc 10

* Sun May 03 2020 wally <wally> 2.6.1.0-15.mga8
+ Revision: 1578031
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 2.6.1.0-14.mga8
+ Revision: 1544579
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 2.6.1.0-13.mga8
+ Revision: 1483342
- rebuild for boost 1.72.0
- replace deprecated %%configure2_5x

* Tue Nov 12 2019 wally <wally> 2.6.1.0-12.mga8
+ Revision: 1459452
- rebuild for wxgtk 3.1.3

* Sun Jul 07 2019 wally <wally> 2.6.1.0-11.mga8
+ Revision: 1419301
- rebuild with gtk3 enabled wxgtk 3.1.2

* Tue Oct 16 2018 wally <wally> 2.6.1.0-10.mga7
+ Revision: 1321009
- rebuild for new boost 1.68.0

* Fri Sep 21 2018 umeabot <umeabot> 2.6.1.0-9.mga7
+ Revision: 1294585
- Mageia 7 Mass Rebuild

* Mon Dec 25 2017 wally <wally> 2.6.1.0-8.mga7
+ Revision: 1184739
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 2.6.1.0-7.mga7
+ Revision: 1178311
- rebuild for boost 1.65

* Sun Oct 15 2017 cjw <cjw> 2.6.1.0-6.mga7
+ Revision: 1171962
- fix build for missing __EXPORT__ define

* Sat Sep 16 2017 tv <tv> 2.6.1.0-5.mga7
+ Revision: 1154673
- rebuild with latest boost

* Sat Jun 03 2017 akien <akien> 2.6.1.0-4.mga6
+ Revision: 1106084
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 2.6.1.0-3.mga6
+ Revision: 1019805
- rebuild for wxgtk3.0 built with GTK2

* Sat Dec 26 2015 daviddavid <daviddavid> 2.6.1.0-2.mga6
+ Revision: 915152
- rebuild for new boost 1.60.0

* Sun Dec 13 2015 akien <akien> 2.6.1.0-1.mga6
+ Revision: 910106
- Version 2.6.1.0

* Fri Sep 25 2015 daviddavid <daviddavid> 2.6.0.0-4.mga6
+ Revision: 883653
- rebuild for new boost 1.59.0

* Thu Sep 03 2015 cjw <cjw> 2.6.0.0-3.mga6
+ Revision: 872502
- rebuild with gcc 5

* Fri Jul 31 2015 daviddavid <daviddavid> 2.6.0.0-2.mga6
+ Revision: 859860
- rebuild for new boost-1.58.0

* Sat Jul 04 2015 akien <akien> 2.6.0.0-1.mga6
+ Revision: 850542
- imported package asc

